#lang racket
(define list1 '(1 2 3 4))
(define list2 '(x y z w))

(define myLength1
    (lambda (x)
      (if (empty? x)
          0
          (+ 1 (myLength1 (cdr x))))))

(define myLength2 
    (lambda (xs)
      (cond ((empty? xs) 0)
            (else (+ 1 (myLength2 (cdr xs)))))))

(define add2 (lambda (x y) (+ x y)))

(define add2List 
   (lambda (xs ys)
     (cond [(or (empty? xs) (empty? ys)) 0]
           [else (+ (car xs) (car ys) (add2List (cdr xs) (cdr ys)))])))

(myLength1 '(1 2 3))
(myLength2 '(1 2 3))
(add2 3 4)
(add2List '(1 2) '(1 2 3))
(add2List '(1 2 3 4) '(1 2))
